#include "iri_joints_client_alg.h"

IriJointsClientAlgorithm::IriJointsClientAlgorithm(void)
{
  pthread_mutex_init(&this->access_,NULL);
}

IriJointsClientAlgorithm::~IriJointsClientAlgorithm(void)
{
  pthread_mutex_destroy(&this->access_);
}

void IriJointsClientAlgorithm::config_update(Config& new_cfg, uint32_t level)
{
  this->lock();

  // save the current configuration
  this->config_=new_cfg;
  
  this->unlock();
}

// IriJointsClientAlgorithm Public API
